org.eclipse.viatra.query.runtime.rete.network.communication

## Class Timestamp.AllZeroMap<T>

- java.lang.Object
- - java.util.AbstractMap<T,Timeline<Timestamp>>
  - - org.eclipse.viatra.query.runtime.rete.network.communication.Timestamp.AllZeroMap<T>

- All Implemented Interfaces:
    java.util.Map<T,Timeline<Timestamp>>
  Enclosing class:
    Timestamp

      public static final class Timestamp.AllZeroMap<T>
      extends java.util.AbstractMap<T,Timeline<Timestamp>>

  A `Map` implementation that associates the zero timestamp with every key. There is no suppor for `Map.entrySet()` due to performance reasons.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AllZeroMap(java.util.Set<T> wrapped)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<java.util.Map.Entry<T,Timeline<Timestamp>>>` | `entrySet()`
    `Timeline<Timestamp>` | `get(java.lang.Object key)`
    `java.util.Set<T>` | `keySet()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.util.AbstractMap

      `clear, clone, containsKey, containsValue, equals, hashCode, isEmpty, put, putAll, remove, size, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### AllZeroMap

          public AllZeroMap(java.util.Set<T> wrapped)

  - ### Method Detail

    - #### entrySet

          public java.util.Set<java.util.Map.Entry<T,Timeline<Timestamp>>> entrySet()

      Specified by:
        `entrySet` in interface `java.util.Map<T,Timeline<Timestamp>>`
      Specified by:
        `entrySet` in class `java.util.AbstractMap<T,Timeline<Timestamp>>`

    - #### get

          public Timeline<Timestamp> get(java.lang.Object key)

      Specified by:
        `get` in interface `java.util.Map<T,Timeline<Timestamp>>`
      Overrides:
        `get` in class `java.util.AbstractMap<T,Timeline<Timestamp>>`
      Since:
        2.4

    - #### keySet

          public java.util.Set<T> keySet()

      Specified by:
        `keySet` in interface `java.util.Map<T,Timeline<Timestamp>>`
      Overrides:
        `keySet` in class `java.util.AbstractMap<T,Timeline<Timestamp>>`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.util.AbstractMap<T,Timeline<Timestamp>>`